#=============================================================================
# Overview of build options:
#
# End of build options
#-----------------------------------------------------------------------------

##trace

# force single job compilation
#%%define _smp_mflags -j1

%global gitdate          20220830
%global commit           d614ef91b5a1c7611a681af4aad941b6b84f17f8
%global shortcommit      %(c=%{commit}; echo ${c:0:7})

%global version          0.2.2
%global release          3

# set this to "1" if building a git/beta/rc release
%global beta_or_rc       0


#=============================================================================
# general
#-----------------------------------------------------------------------------
Name:           solo2-cli
Version:        %{version}
%if %{beta_or_rc}
Release:        0.%{release}.%{gitdate}.git%{shortcommit}%{?dist}
%else
Release:        %{release}%{?dist}
%endif
Summary:        SoloKeys' Solo 2 library and CLI in Rust
License:        Apache-2.0 AND MIT
URL:            https://github.com/solokeys/solo2-cli
%if %{beta_or_rc}
Source0:        https://github.com/solokeys/solo2-cli/archive/{commit}/%{name}-%{version}-git%{shortcommit}.tar.gz
%else
Source0:        https://github.com/solokeys/solo2-cli/archive/%{version}/%{name}-%{version}.tar.gz
%endif
BuildRequires:  cargo
BuildRequires:  make
BuildRequires:  pcsc-lite-devel
BuildRequires:  systemd-devel
Requires:       pcsc-lite-ccid
Provides:       solo2-cli

%description
SoloKeys' Solo 2 library and CLI in Rust


#=============================================================================
# prep
#-----------------------------------------------------------------------------
%prep
%if %{beta_or_rc}
%autosetup -p1 -n %{name}
%else
%autosetup -p1 -n %{name}-%{version}
%endif


#=============================================================================
# build
#-----------------------------------------------------------------------------
%build
%make_build


#=============================================================================
# install
#-----------------------------------------------------------------------------
%install
install -d -m 0755 %{buildroot}%{_bindir}
install -d -m 0755 %{buildroot}%{_datadir}/bash-completion/completions/
install -d -m 0755 %{buildroot}%{_udevrulesdir}

install -D -m 0755 target/release/solo2 %{buildroot}%{_bindir}/
install -D -m 0644 target/release/solo2.bash %{buildroot}%{_datadir}/bash-completion/completions/solo2
install -D -m 0644 70-solo2.rules %{buildroot}%{_udevrulesdir}/70-solo2.rules


#=============================================================================
# post
#-----------------------------------------------------------------------------
%post
/usr/bin/udevadm control --reload
/usr/bin/udevadm trigger


#=============================================================================
# postun
#-----------------------------------------------------------------------------
%postun
/usr/bin/udevadm control --reload
/usr/bin/udevadm trigger


#=============================================================================
# files
#-----------------------------------------------------------------------------
%files
%defattr(-,root,root)
%license LICENSE-APACHE LICENSE-MIT
%doc CHANGELOG.md README.md
%attr(0755,root,root)        %{_bindir}/solo2
%attr(0644,root,root)        %{_datadir}/bash-completion/completions/solo2
%attr(0644,root,root)        %{_udevrulesdir}/70-solo2.rules


#=============================================================================
# changelog
#-----------------------------------------------------------------------------
%changelog
* Wed Oct 30 2024 Patrick Laimbock <patrick@laimbock.com> - 0.2.2-3
- rebuild for F41

* Sat Nov 11 2023 Patrick Laimbock <patrick@laimbock.com> - 0.2.2-2
- rebuild for F39

* Sat May 06 2023 Patrick Laimbock <patrick@laimbock.com> - 0.2.2-1
- update to version 0.2.2

* Sun Sep 11 2022 Patrick Laimbock <patrick@laimbock.com> - 0.2.0-1
- initial release

